Package com.google.earth.kml._2

# Class OverlayType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.OverlayType

Direct Known Subclasses:
  `GroundOverlayType`, `ScreenOverlayType`

public abstract class OverlayType extends FeatureType
<p>Java class for OverlayType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="OverlayType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}FeatureType"> <sequence> <element name="color" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> <element name="drawOrder" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/> <element ref="{http://earth.google.com/kml/2.1}Icon" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `color`
  `protected Integer`
  `drawOrder`
  `protected LinkType`
  `icon`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OverlayType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getColor()`
  Gets the value of the color property.
  `Integer`
  `getDrawOrder()`
  Gets the value of the drawOrder property.
  `LinkType`
  `getIcon()`
  Gets the value of the icon property.
  `void`
  `setColor(byte[] value)`
  Sets the value of the color property.
  `void`
  `setDrawOrder(Integer value)`
  Sets the value of the drawOrder property.
  `void`
  `setIcon(LinkType value)`
  Sets the value of the icon property.

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### color

    protected byte[] color

  - ### drawOrder

    protected Integer drawOrder

  - ### icon

    protected LinkType icon

- ## Constructor Details

  - ### OverlayType

    public OverlayType()

- ## Method Details

  - ### getColor

    public byte[] getColor()
    Gets the value of the color property.
    Returns:
      possible object is `String`

  - ### setColor

    public void setColor(byte[] value)
    Sets the value of the color property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDrawOrder

    public Integer getDrawOrder()
    Gets the value of the drawOrder property.
    Returns:
      possible object is `Integer`

  - ### setDrawOrder

    public void setDrawOrder(Integer value)
    Sets the value of the drawOrder property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getIcon

    public LinkType getIcon()
    Gets the value of the icon property.
    Returns:
      possible object is `LinkType`

  - ### setIcon

    public void setIcon(LinkType value)
    Sets the value of the icon property.
    Parameters:
      `value` - allowed object is `LinkType`